<?php	
	header('Content-Type: application/json');

 /*
  file_validator.php incorporates with JQBootstrapValidaiton to vlaidate file against:
  	allowed_filetypes and maximumsize
 */
 
 
 function validate_file($file) {
  	 $error     =  "";
  	  
  	// SETTINGS
  	
  	/*
  	 Checking file extension is a security concern, because I could put any extension to my file, and thus
  	 theoretically I able to execute script if it gets uploaded to the server.
  	 This is why I am exclusively checking that actual file type.
  	 Allowed file types are: PDF DOC XLS (can be extended if neccesary)
  	*/
  	$allowed_filetypes		=   array(	'application/pdf',
										'application/msword',
										'application/vnd.openxmlformats-officedocument.wordprocessingml.document',
										'application/excel',
										'application/vnd.ms-excel',
										'application/x-excel',
										'application/x-msexcel',
										'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet',
										'text/plain',
										'application/vnd.oasis.opendocument.text',
										'application/vnd.oasis.opendocument.spreadsheet');
								
	/*
	  Maximum file size in bytes
	
	*/
	$max_size				=   5000000; // ~ 5 MB
 

 
 	 // check maximum size and throw error if exceeds maximum size
     if(($file['size'] >= $max_size)) {
        $error = 'Uploaded file exceeds maximum size. File must be less than '.$max_size.' bytes ';
    }

	// check allowed file types and throw error if file types do not match
    if((!empty($file['type']) && !in_array($file['type'], $allowed_filetypes))) {
 		$error = "Invalid file type. Only documents are accepted.";
    }
    


    return $error;	 
 }
 
  $errors = validate_file($_FILES['my_file']);

  if($errors) {
  	// return back errors to validator
    echo json_encode(
    array(
      "value" => $_FILES['my_file'],
      "valid" => false,
      "message" => validate_file($_FILES['my_file'])
    )
  );
	  
  } else {
	    	// return back errors to validator
    echo json_encode(
    array(
      "value" => $_FILES['my_file'],
      "valid" => true,
    )
  );
  }

?>